## 10.1 Zwei Zeitpunkte

data.t <- read_excel("t_test_abh_SP.xlsx", na="NA", col_names=TRUE)

# 10.1.1 abhängiger t-Test
##########################
# Mittelwert Zeitpunkt 1
mean(data.t$T0)

# Mittelwert Zeitpunkt 2
mean(data.t$T1)

# Standardabweichung Zeitpunkt 1
sd(data.t$T0)

# Standardabweichung Zeitpunkt 2
sd(data.t$T1)

# Differenz zwischen Zeitpunkt 1 und 2
diff <- data.t$T1-data.t$T0

# Normalverteilung der Differenz mit Q-Q-Diagramm prüfen
qqnorm(diff)
qqline(diff)

# Zweiseitige Testung
t.test(data.t$T1,data.t$T0, paired = TRUE)

# Einseitige Testung
t.test(data.t$T1,data.t$T0, paired = TRUE, alternative = "greater")

# Effektstärke berechnen
library(lsr)
cohensD(data.t$T0,data.t$T1, method = "paired")


# 10.1.2 Wilcoxon-Test bei abhängigen Stichproben
#################################################
  # Wide-Format
data.w_w <- read_excel("wilcoxon_abh.xlsx", na="NA", col_names=TRUE)

  # Long-Format
data.w_l <- pivot_longer(data.w_w, T0:T1, names_to="Zeitpunkt", values_to="Wert")
data.w_l$Zeitpunkt <- as.factor(data.w_l$Zeitpunkt)

# Lagemaße je Zeitpunkt aus Wide-Format
summary(data.w_w$T0)
summary(data.w_w$T1)

# Lagemaße je Zeitpunkt aus Long-Format
library(dplyr)
data.w_l %>%
 group_by(Zeitpunkt) %>%
 summarize(Q1 = quantile(Wert, probs = 0.25),
 Q2 = quantile(Wert, probs = 0.5),
 Q3 = quantile(Wert, probs = 0.75)) %>%
 as.data.frame()

# Wilcoxon-Test aus Wide-Format
wilcox.test(data.w_w$T0,data.w_w$T1, paired = TRUE, exact = FALSE, conf.int = TRUE)

# Wilcoxon-Test aus Long-Format
wilcox.test(data.w_l$Wert~data.w_l$Zeitpunkt, paired = TRUE, exact = FALSE, conf.int = TRUE)

# Effektstärke berechnen
library(rcompanion)
wilcoxonPairedR(x = data.w_l$Wert, g = data.w_l$Zeitpunkt)
                