## 14.2.1 Moderation
#####################
library(readxl)
data <- read_excel("moderation.xlsx", na = "NA")
data$Motivation <- as.factor(data$Motivation)

# Modellbildung
model <- lm(Score ~ IQ * Motivation, data = data)
summary(model)

# Grafische Darstellung
install.packages("interactions")
library(interactions)
interact_plot(model = model, pred = IQ, modx = Motivation)

## 14.2.2 Mediation
###################
library(readxl)
data <- read_excel("mediation.xlsx", na = "NA")
# (A) Direkter Effekt - X auf Y
m1<-lm(Glücklichkeit~Testscore,data)
summary(m1)

# (B) X auf M
m2<-lm(Selbstbewusstsein~Testscore,data)
summary(m2)

# (C) X und M auf Y
m3<-lm(Glücklichkeit~Selbstbewusstsein+Testscore, data)
summary(m3)

# Untersuchung des Mediationseffektes bei geglückter Mediation
install.packages("mediation")
library(mediation)

results <- mediate(m2, m3, treat = "Testscore", mediator = "Selbstbewusstsein", boot = T)
summary(results)
