## 14.3 Binär-logistische Regression
#####################################
data.bl <- read_excel("binlogreg.xlsx", na="NA", col_names=TRUE)
data.bl$Krankheit = factor(data.bl$Krankheit, levels = c(0,1), labels = c("Gesund", "Krank"))
data.bl$Geschlecht = factor(data.bl$Geschlecht, levels = c(0,1), labels = c("Mann", "Frau"))

install.packages("rms")
library(rms)

# Modell rechnen
m <- ols(Krankheit ~ Geschlecht + BMI + Alter, data = data.bl)

# Multikollinearität prüfen
vif(m)

# Modell ergebnisse ausgeben
lmodel <- lrm(Krankheit ~ Geschlecht + BMI + Alter, data = data.bl, x = TRUE, y = TRUE)
lmodel

# Odds-Ratios berechnen
round(exp(coef(lmodel)),3)

# ROC-Kurve
install.packages("pROC")
library(pROC)
lmodel2 <- glm(Krankheit ~ Geschlecht + BMI + Alter, data = data.bl, family = binomial())
roc(Krankheit ~ lmodel2$fitted.values, data = data.bl, plot = TRUE)