## 14.4 Ordinal-logistische Regression
######################################
data <- read.csv2("data.csv", na = "NA", dec = ",", header=TRUE)
data$Lieblingsfarbe <- as.factor(data$Lieblingsfarbe)
data$Geschlecht[data$Geschlecht == "0"] <- "Mann"
data$Geschlecht[data$Geschlecht == "1"] <- "Frau"
data$Geschlecht <- as.factor(data$Geschlecht)

Install.packages("rms")
library(rms)

# Modell rechnen
m <- ols(Motivation ~ Geschlecht + Bildungsjahre + Zufriedenheit, data = data)

# Multikollinearität prüfen
vif(m)

# Modell ergebnisse ausgeben
omodel <- orm(Motivation ~ Geschlecht + Bildungsjahre + Zufriedenheit, data = data, x = TRUE, y = TRUE)
omodel

# Odds-Ratios berechnen
round(exp(coef(omodel)),3)