## 2.5.2 Pipe Operatoren

# Einlesen von Beispieldaten - ANOVA mit Messwiederholung
data.a_w <- read_excel("rep_anova.xlsx", na="NA", col_names=TRUE)
data.a_l <- pivot_longer(data.a_w, T0:T2, names_to="Zeitpunkt", values_to="Wert")
data.a_l$Zeitpunkt <- as.factor(data.a_l$Zeitpunkt)

# Mittelwert mit der aggregate-Funktion
aggregate(data.a_l[, 3], list(data.a_l$Zeitpunkt), mean)

# Mittelwert mit Pipe-Operator
library(dplyr)
data.a_l %>%
 group_by(Zeitpunkt) %>%
 summarize(M = mean(Wert))
