## 4.10 Skalenbildung
data.s <- read_excel("skala.xlsx", na="NA", col_names=TRUE)

# 4.10.2 Interne Konsistenz (Cronbachs Alpha) berechnen
# ggplot2-Entladen, wegen alpha()-Funktion
detach("package:ggplot2", unload = TRUE)

# Installation des psych-Pakets
install.packages("psych")
library(psych)

# (A) Automatische Prüfung auf inverse Codierung
alpha(subset(data.s, select = c(Item1, Item2, Item3, Item4)), check.keys = TRUE)

# (B) Item 4 als invers codiert angeben
alpha(subset(data.s, select = c(Item1, Item2, Item3, Item4)), keys = "Item4")

# 4.10.3 Inverscodierung von Items
library(car)
data.s$Item4r <- recode(data.s$Item4, "1=5; 2=4; 3=3; 4=2; 5=1")

#4.10.4 Skalenbildung
data.s$skala <- rowMeans(subset(data.s, select = c(Item1, Item2, Item3, Item4)), na.rm = TRUE)
