## 6.3 Balkendiagramme

data <- read.csv2("data.csv", na = "NA", dec = ",", header=TRUE)
data$Lieblingsfarbe <- as.factor(data$Lieblingsfarbe)
data$Geschlecht[data$Geschlecht == "0"] <- "Mann"
data$Geschlecht[data$Geschlecht == "1"] <- "Frau"
data$Geschlecht <- as.factor(data$Geschlecht)

# 6.3.1 mit baseR 
barplot(table(data$Lieblingsfarbe),
        xlab = "Häufigkeit", ylab = "Farben",
        main = "Lieblingsfarben",
        horiz = TRUE)

# 6.3.2 mit dem Paket ggplot2
ggplot(data, aes(x = Lieblingsfarbe, label = ..count..)) +
       geom_bar()+
       coord_flip()+
       labs(y = "Lieblingsfarbe", x = "Häufigkeit") +
       ggtitle("Balkendiagramm") +
       geom_text(stat = "count", hjust=-0.5)+
       theme(plot.title = element_text(hjust = 0.5))
