## 7.1 Liniendiagramme mit baseR
arbeit <- read.csv2("arbeit.csv", na="NA")
arbeit$Datum <- as.Date(arbeit$Datum, format = "%d.%m.%Y")

# 7.1.1 für 1 Variable
# nur Punkte
plot(arbeit$Datum,arbeit$Erwerbstätige..Mio, type = "p", xlab = "Datum", ylab = "Erwerbstätige in Mio.")
# nur Linie
plot(arbeit$Datum,arbeit$Erwerbstätige..Mio, type = "l", xlab = "Datum", ylab = "Erwerbstätige in Mio.")
# Linie mit Datenpunkten
plot(arbeit$Datum,arbeit$Erwerbstätige..Mio, type = "b", xlab = "Datum", ylab = "Erwerbstätige in Mio.")

# Achsenbeschriftung anpassen
plot(arbeit$Datum,arbeit$Erwerbstätige..Mio, type="l", xlab="Datum", ylab="Erwerbstätige in Mio.", xaxt="n")
axis.Date(1,arbeit$Datum, at=seq(as.Date("2007-03-01"), as.Date("2022-03-01"), by="years"), format="%m/%Y", cex.axis=0.6, las=2)
points(arbeit$Datum, arbeit$Erwerbstätige..Mio, pch=16, col="darkred", cex=0.75)

# nur Ausschnitt darstellen
plot(arbeit$Datum,arbeit$Erwerbstätige..Mio, type="l", xlab="Datum", ylab="Erwerbstätige in Mio.", 
     xlim=as.Date(c("2008-01-01", "2010-01-01")), xaxt="n")
axis.Date(1,arbeit$Datum, at=seq(as.Date("2008-01-01"), as.Date("2010-01-01"), by="months"), format="%m/%Y", cex.axis=0.6)

# 7.1.2 für >1 Variable
# Linie der Erwerbstätigen
plot(arbeit$Datum,arbeit$Erwerbstätige..Mio, type = "l", xlab = "Datum", ylab = "Personen (Mio.)", ylim = c(0,45))
# Linie der Erwerbslosen
lines(arbeit$Datum, arbeit$Erwerbslose..Mio., col = "darkred", lty = 2)
# Legende einfügen
legend(as.Date("2009-05-01"), 25, 
       legend = c("Erwerbstätige", "Erwerbslose"),
        col = c("black", "darkred"), lty = c(1,2), cex = 0.75)
