## 8.1 Streudiagramme

data <- read.csv2("data.csv", na = "NA", dec = ",", header=TRUE)
data$Lieblingsfarbe <- as.factor(data$Lieblingsfarbe)
data$Geschlecht[data$Geschlecht == "0"] <- "Mann"
data$Geschlecht[data$Geschlecht == "1"] <- "Frau"
data$Geschlecht <- as.factor(data$Geschlecht)

# 8.1 Streudiagramm mit baseR
# unformatiert
plot(data$Einkommen, data$Zufriedenheit)

#formatiert
plot(data$Einkommen, data$Zufriedenheit,
     xlab = "Einkommen in Euro", ylab = "Zufriedenheit",
     main = "Streudiagramm",
     pch = 21, cex = 2, bg = "steelblue", color = "black")

# für Teilgruppen der Stichprobe
  # Farben und Symbole für 2 Gruppen zuweisen
symbols = c(16,17)
symbols <- symbols[as.numeric(data$Geschlecht)]
colors = c("black", "grey")
colors <- colors[as.numeric(data$Geschlecht)]

  # Diagramm plotten
plot(data$Zufriedenheit~data$Einkommen,
     pch = symbols, col = colors, cex = 1.5,
     xlab = "Einkommen", ylab = "Zufriedenheit")
legend("topleft", c("M", "W"), pch = c(16,17),
       col = c("black","grey"),
       cex = 1.25, bty = "n")

# 8.1.2 Streudiagramm mit ggplot2
ggplot(data, aes(x = Einkommen, y = Zufriedenheit)) +
  geom_point(size = 3) +
  labs (x = "Einkommen", y = "Zufriedenheit")

# für Teilgruppen der Stichprobe
ggplot (data, aes(x=Einkommen, y=Zufriedenheit)) +
  geom_point(aes(color=Geschlecht, shape=Geschlecht), size=5) +
  scale_color_manual(labels=c("männlich", "weiblich"), values=c("black", "grey")) +
  scale_shape_manual(labels=c("männlich", "weiblich"), values=c(16,17)) +
  labs(x="Einkommen", y="Zufriedenheit", color="Geschlecht", shape="Geschlecht")+
  theme(legend.position = "bottom")
