## 8.2 Korrelationsdiagramme

data <- read.csv2("data.csv", na = "NA", dec = ",", header=TRUE)
data$Lieblingsfarbe <- as.factor(data$Lieblingsfarbe)
data$Geschlecht[data$Geschlecht == "0"] <- "Mann"
data$Geschlecht[data$Geschlecht == "1"] <- "Frau"
data$Geschlecht <- as.factor(data$Geschlecht)

# Teildatensatz erstellen
df.korrelation <- subset(data, select = c(BMI, IQ, Motivation, Einkommen, Zufriedenheit))
# Korrelationsmatrix berechnen
matrix.korrelation <- cor(df.korrelation, method = "pearson")

# Paket corrplot installieren und laden
install.packages("corrplot")
library(corrplot)

# Korrelationsdiagramm plotten
corrplot(matrix.korrelation, method = "pie", cl.pos = "b", type = "upper", tl.col = "black")
